3 Replies Latest reply on May 15, 2008 10:23 AM by Manik Surtani

    2.1 upgrade from 2.0

    J B Novice

      Hi Guys,
      Came across this problem when stepping up, might be already fixed but didnt see it in the JIRA. The new jboss-javaee.jar contains the javax.servlet package. Compare this to the older version 2.0 equivalent which doesnt package this package(jboss-j2ee.jar).

      So when deploying in tomcat and using the latest 2.1 with jboss-javaee.jar, i get


      INFO: validateJarFile(c:\tomcat-6.0.13\webapps\cmds\WEB-INF\lib\jboss-javaee.jar) - jar not loaded. See Servlet Spec 2.3, section 9.7.2. Offending class: javax/servlet/Servlet.class


      If i revert back to using the 2.0 jar i have no problems but with the jboss-j2ee.jar cache wont start!!

      Cheers,
      LL